Loading...
Searching...
No Matches
IODImagePixelVariantBaseVisitor Struct Reference

Visitor for returning base class of given Image Pixel Module. More...

## Public Member Functions

IODImagePixelBase * | operator() (OFmonostate &)
| Returns NULL since given argument is no pixel module at all.
IODImagePixelBase * | operator() (IODImagePixelBase &base)
| Returns the base class pointer of all pixel modules.

## Detailed Description

Visitor for returning base class of given Image Pixel Module.

## Member Function Documentation

## operator()() [1/2]

IODImagePixelBase * IODImagePixelVariantBaseVisitor::operator() | ( | IODImagePixelBase & | base | ) |

inline

Returns the base class pointer of all pixel modules.

Parameters

  base | IODImagePixelBase pointer to given class instance

Returns
  OFnullptr

## operator()() [2/2]

IODImagePixelBase * IODImagePixelVariantBaseVisitor::operator() | ( | OFmonostate & |  | ) |

inline

Returns NULL since given argument is no pixel module at all.

Returns
  OFnullptr

The documentation for this struct was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modimagepixelvariant.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0